org.fourthline.cling.support.model

## Enum TransportStatus

- java.lang.Object
- - java.lang.Enum<TransportStatus>
  - - org.fourthline.cling.support.model.TransportStatus

- All Implemented Interfaces:
    Serializable, Comparable<TransportStatus>

      public enum TransportStatus
      extends Enum<TransportStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CUSTOM`
    `ERROR_OCCURRED`
    `OK`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getValue()`
    `TransportStatus` | `setValue(String value)`
    `static TransportStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TransportStatus` | `valueOrCustomOf(String s)`
    `static TransportStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final TransportStatus OK

    - #### ERROR_OCCURRED

          public static final TransportStatus ERROR_OCCURRED

    - #### CUSTOM

          public static final TransportStatus CUSTOM

  - ### Method Detail

    - #### values

          public static TransportStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransportStatus c : TransportStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransportStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

    - #### setValue

          public TransportStatus setValue(String value)

    - #### valueOrCustomOf

          public static TransportStatus valueOrCustomOf(String s)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.